<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PaymentLinkMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentLinkHeader extends \Google\Protobuf\Internal\Message
{
    


    protected $headerType = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getHeaderType()
    {
        return isset($this->headerType) ? $this->headerType : 0;
    }

    public function hasHeaderType()
    {
        return isset($this->headerType);
    }

    public function clearHeaderType()
    {
        unset($this->headerType);
    }

    




    public function setHeaderType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\Message\PaymentLinkMetadata\PaymentLinkHeader\PaymentLinkHeaderType::class);
        $this->headerType = $var;

        return $this;
    }

}

